Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class GeneratedMetaMethod.Proxy

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.GeneratedMetaMethod
                  org.codehaus.groovy.reflection.GeneratedMetaMethod.Proxy

    public static class GeneratedMetaMethod.Proxy
    extends GeneratedMetaMethod

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`GeneratedMetaMethod.Proxy(java.lang.String className, java.lang.String name, CachedClass declaringClass, java.lang.Class returnType, java.lang.Class[] parameters)`

Method Summary
`java.lang.Object` | `doMethodInvoke(java.lang.Object object, java.lang.Object[] argumentArray)`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`boolean` | `isValidMethod(java.lang.Class[] arguments)`
`MetaMethod` | `proxy()`

Methods inherited from class GeneratedMetaMethod
getDeclaringClass, getModifiers, getName, getReturnType

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GeneratedMetaMethod.Proxy

    public GeneratedMetaMethod.Proxy(java.lang.String className, java.lang.String name, CachedClass declaringClass, java.lang.Class returnType, java.lang.Class[] parameters)

Method Detail

### doMethodInvoke

    @Override
    public java.lang.Object doMethodInvoke(java.lang.Object object, java.lang.Object[] argumentArray)

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

### isValidMethod

    @Override
    public boolean isValidMethod(java.lang.Class[] arguments)

### proxy

    public final MetaMethod proxy()

Groovy Documentation